Bug 1247816 - rdo liberty trunk; nova compute fails to start
rdo liberty trunk; nova compute fails to start
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
high Severity high
: ---
: trunk
Assigned To: Martin Magr
Shai Revivo
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 21:07 EDT by wes hayutin
Modified: 2016-05-18 12:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-packstack-7.0.0-0.10.dev1682.g42b3426.el7.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-18 12:52:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
controller logs (16.40 MB, application/octet-stream)
2015-07-28 21:07 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2015-07-28 21:07:20 EDT
Created attachment 1057205 [details]
controller logs

Description of problem:

2015-07-29 00:11:24::ERROR::run_setup::1018::root:: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 1013, in main
    _main(options, confFile, logFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 655, in _main
    runSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 626, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/setup_controller.py", line 81, in runAllSequences
    sequence.run(config=self.CONF, messages=self.MESSAGES)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 109, in run
    step.run(config=config, messages=messages)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 50, in run
    self.function(config, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 209, in apply_puppet_manifest
    wait_for_puppet(currently_running, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 123, in wait_for_puppet
    validate_logfile(log)
  File "/usr/lib/python2.7/site-packages/packstack/modules/puppet.py", line 107, in validate_logfile
    raise PuppetError(message)
PuppetError: Error appeared during Puppet run: 172.16.0.233_nova.pp
Error: Could not start Service[nova-compute]: Execution of '/usr/bin/systemctl start openstack-nova-compute' returned 1: Job for openstack-nova-compute.service canceled.
You will find full trace in log /var/tmp/packstack/20150728-205810-eelfKy/manifests/172.16.0.233_nova.pp.log
Comment 2 Javier Peña 2016-05-18 12:52:37 EDT
This is working fine for me with RDO Liberty GA. Closing as currentrelease, please feel free to reopen if it can be reproduced on GA bits.

Note You need to log in before you can comment on or make changes to this bug.